Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617995 - kacpi problems with kernel 2.6.33
kacpi problems with kernel 2.6.33
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-25 09:28 EDT by Chris Rouch
Modified: 2013-01-10 02:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rouch 2010-07-25 09:28:45 EDT
Description of problem:

kacpi_notify hangs frequently on my laptop. This is with the original f13 kernel and also the latest (2.6.33.6-147.fc13.x86_64). One effect of this is that the actions that should be taken when the lid is closed do not occur. 


Version-Release number of selected component (if applicable):
2.6.33.6-147.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Close laptop lid
2. wait 1 minute
3. Open laptop lid
  
Actual results:

Screen is as it was before closing


Expected results:
Screen should be locked if mains power is present or laptop should suspend otherwise

Additional info:

This is an HP G70, with an nvidia GeForce 9200M GS graphics card onboard. Log messages below are when running the nouveau driver. The system is fully updated as of 25/7/2010, 3pm CET.

In /var/log/messages I see similar to this, roughly every 2 minutes:

Jul 25 15:25:05 watson kernel: INFO: task kacpi_notify:23 blocked for more than 120 seconds.
Jul 25 15:25:05 watson kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jul 25 15:25:05 watson kernel: kacpi_notify  D 0000000000000000     0    23      2 0x00000000
Jul 25 15:25:05 watson kernel: ffff88013bb959d0 0000000000000046 0000000000000000 0000000081240382
Jul 25 15:25:05 watson kernel: ffff88013bb95940 ffffffff81264083 ffff880137b86048 ffff88013bb95fd8
Jul 25 15:25:05 watson kernel: ffff88013bb95fd8 000000000000f9b0 00000000000157c0 ffff88013bb8c9b8
Jul 25 15:25:05 watson kernel: Call Trace:
Jul 25 15:25:05 watson kernel: [<ffffffff81264083>] ? acpi_ut_delete_object_desc+0x48/0x4c
Jul 25 15:25:05 watson kernel: [<ffffffff81428e01>] schedule_timeout+0x31/0xde
Jul 25 15:25:05 watson kernel: [<ffffffff8125a77e>] ? acpi_os_allocate_zeroed+0x2b/0x2d
Jul 25 15:25:05 watson kernel: [<ffffffff81259369>] ? acpi_ns_search_one_scope+0x1d/0x46
Jul 25 15:25:05 watson kernel: [<ffffffff81429811>] __down_common+0x8d/0xcf
Jul 25 15:25:05 watson kernel: [<ffffffff81429864>] __down_timeout+0x11/0x13
Jul 25 15:25:05 watson kernel: [<ffffffff8106814d>] down_timeout+0x36/0x4e
Jul 25 15:25:05 watson kernel: [<ffffffff81240451>] acpi_os_wait_semaphore+0x49/0x57
Jul 25 15:25:05 watson kernel: [<ffffffff812553bc>] acpi_ex_system_wait_mutex+0x3c/0x4e
Jul 25 15:25:05 watson kernel: [<ffffffff8106815b>] ? down_timeout+0x44/0x4e
Jul 25 15:25:05 watson kernel: [<ffffffff8124c961>] acpi_ds_begin_method_execution+0xe0/0x16e
Jul 25 15:25:05 watson kernel: [<ffffffff8125eb71>] acpi_ps_execute_method+0x33/0x29a
Jul 25 15:25:05 watson kernel: [<ffffffff81259fd1>] acpi_ns_evaluate+0xe1/0x1a8
Jul 25 15:25:05 watson kernel: [<ffffffff81259a28>] acpi_evaluate_object+0xf9/0x1f2
Jul 25 15:25:05 watson kernel: [<ffffffffa00fa8e3>] wmi_evaluate_method+0xfc/0x10e [wmi]
Jul 25 15:25:05 watson kernel: [<ffffffffa00240a6>] hp_wmi_perform_query+0x6b/0xad [hp_wmi]
Jul 25 15:25:05 watson kernel: [<ffffffffa002413f>] hp_wmi_get_hw_state+0x19/0x30 [hp_wmi]
Jul 25 15:25:05 watson kernel: [<ffffffffa002465e>] hp_wmi_notify+0x17d/0x217 [hp_wmi]
Jul 25 15:25:05 watson kernel: [<ffffffffa00fa03f>] acpi_wmi_notify+0x34/0x67 [wmi]
Jul 25 15:25:05 watson kernel: [<ffffffff81242fd6>] acpi_device_notify+0x14/0x16
Jul 25 15:25:05 watson kernel: [<ffffffff81250166>] acpi_ev_notify_dispatch+0x5f/0x6d
Jul 25 15:25:05 watson kernel: [<ffffffff8124053c>] acpi_os_execute_deferred+0x24/0x31
Jul 25 15:25:05 watson kernel: [<ffffffff810606e9>] worker_thread+0x1a4/0x232
Jul 25 15:25:05 watson kernel: [<ffffffff81240518>] ? acpi_os_execute_deferred+0x0/0x31
Jul 25 15:25:05 watson kernel: [<ffffffff810641bf>] ? autoremove_wake_function+0x0/0x34
Jul 25 15:25:05 watson kernel: [<ffffffff81060545>] ? worker_thread+0x0/0x232
Jul 25 15:25:05 watson kernel: [<ffffffff81063d6f>] kthread+0x7a/0x82
Jul 25 15:25:05 watson kernel: [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
Jul 25 15:25:05 watson kernel: [<ffffffff81063cf5>] ? kthread+0x0/0x82
Jul 25 15:25:05 watson kernel: [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Comment 1 Chuck Ebbert 2010-07-25 17:13:51 EDT
Can you try 2.6.34.1-29 from koji and see if it fixes this problem?
Comment 2 Chris Rouch 2010-07-26 06:50:54 EDT
It seems to make no difference. The laptop still does not lock when I close the lid and I still get kacpi errors. The latest is below. The lid was closed at 12:46:01. 

# uname -r
2.6.34.1-29.fc13.x86_64


Jul 26 12:46:28 watson kernel: INFO: task kacpi_notify:23 blocked for more than 120 seconds.
Jul 26 12:46:28 watson kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jul 26 12:46:28 watson kernel: kacpi_notify  D ffff880135c1d500     0    23      2 0x00000000
Jul 26 12:46:28 watson kernel: ffff88013b79d9d0 0000000000000046 ffff88013a085e58 ffff88013a036bd0
Jul 26 12:46:28 watson kernel: ffff88013b79dfd8 ffff88013b794650 00000000000153c0 ffff88013b79dfd8
Jul 26 12:46:28 watson kernel: 00000000000153c0 00000000000153c0 00000000000153c0 00000000000153c0
Jul 26 12:46:28 watson kernel: Call Trace:
Jul 26 12:46:28 watson kernel: [<ffffffff81279b5f>] ? acpi_ut_update_object_reference+0xf7/0x170
Jul 26 12:46:28 watson kernel: [<ffffffff8144b18b>] schedule_timeout+0x36/0xe3
Jul 26 12:46:28 watson kernel: [<ffffffff81254fe1>] ? acpi_os_release_object+0xe/0x12
Jul 26 12:46:28 watson kernel: [<ffffffff812749cd>] ? acpi_ps_free_op+0x27/0x29
Jul 26 12:46:28 watson kernel: [<ffffffff8126f04a>] ? acpi_ns_search_one_scope+0x22/0x4b
Jul 26 12:46:28 watson kernel: [<ffffffff8144bc18>] __down_common+0x92/0xd4
Jul 26 12:46:28 watson kernel: [<ffffffff8127051a>] ? acpi_os_allocate_zeroed+0x30/0x32
Jul 26 12:46:28 watson kernel: [<ffffffff8144bc70>] __down_timeout+0x16/0x18
Jul 26 12:46:28 watson kernel: [<ffffffff8106a3d0>] down_timeout+0x3b/0x53
Jul 26 12:46:28 watson kernel: [<ffffffff812550d3>] acpi_os_wait_semaphore+0x4e/0x5c
Jul 26 12:46:28 watson kernel: [<ffffffff8126ae71>] acpi_ex_system_wait_mutex+0x41/0x53
Jul 26 12:46:28 watson kernel: [<ffffffff8106a3de>] ? down_timeout+0x49/0x53
Jul 26 12:46:28 watson kernel: [<ffffffff81262075>] acpi_ds_begin_method_execution+0xe5/0x173
Jul 26 12:46:28 watson kernel: [<ffffffff81274b43>] acpi_ps_execute_method+0x38/0x29d
Jul 26 12:46:28 watson kernel: [<ffffffff8126fd16>] acpi_ns_evaluate+0xe6/0x1ad
Jul 26 12:46:28 watson kernel: [<ffffffff8126f73d>] acpi_evaluate_object+0xfe/0x1f7
Jul 26 12:46:28 watson kernel: [<ffffffffa0009933>] wmi_evaluate_method+0x101/0x113 [wmi]
Jul 26 12:46:28 watson kernel: [<ffffffff810fe967>] ? virt_to_head_page+0xe/0x2f
Jul 26 12:46:28 watson kernel: [<ffffffffa00830b0>] hp_wmi_perform_query+0x70/0xb2 [hp_wmi]
Jul 26 12:46:28 watson kernel: [<ffffffffa008318d>] hp_wmi_get_sw_state+0x1e/0x35 [hp_wmi]
Jul 26 12:46:28 watson kernel: [<ffffffffa00836e6>] hp_wmi_notify+0x1bd/0x21b [hp_wmi]
Jul 26 12:46:28 watson kernel: [<ffffffffa0009049>] acpi_wmi_notify+0x39/0x6c [wmi]
Jul 26 12:46:28 watson kernel: [<ffffffff81257e21>] acpi_device_notify+0x19/0x1b
Jul 26 12:46:28 watson kernel: [<ffffffff81265b55>] acpi_ev_notify_dispatch+0x67/0x7e
Jul 26 12:46:28 watson kernel: [<ffffffff812551cd>] acpi_os_execute_deferred+0x29/0x36
Jul 26 12:46:28 watson kernel: [<ffffffff81062335>] worker_thread+0x1a9/0x237
Jul 26 12:46:28 watson kernel: [<ffffffff812551a4>] ? acpi_os_execute_deferred+0x0/0x36
Jul 26 12:46:28 watson kernel: [<ffffffff81066183>] ? autoremove_wake_function+0x0/0x39
Jul 26 12:46:28 watson kernel: [<ffffffff8106218c>] ? worker_thread+0x0/0x237
Jul 26 12:46:28 watson kernel: [<ffffffff81065d09>] kthread+0x7f/0x87
Jul 26 12:46:28 watson kernel: [<ffffffff8100aa64>] kernel_thread_helper+0x4/0x10
Jul 26 12:46:28 watson kernel: [<ffffffff81065c8a>] ? kthread+0x0/0x87
Jul 26 12:46:28 watson kernel: [<ffffffff8100aa60>] ? kernel_thread_helper+0x0/0x10
Comment 3 Chuck Ebbert 2010-08-01 03:48:40 EDT
WMI modules are in the call trace.
Comment 4 Bug Zapper 2011-06-01 08:54:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Chris Rouch 2011-06-01 09:15:36 EDT
This still happens with the latest Fedora 14 kernel.
Comment 6 Fedora End Of Life 2012-08-16 15:30:01 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.